PipedInputStream
Date: 2016-06-24

java.io

## Class PipedInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.PipedInputStream

-     public class PipedInputStream
      extends InputStream

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `buffer`
    `protected int` | `in`
    `protected int` | `out`
    `protected static int` | `PIPE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PipedInputStream()`
    `PipedInputStream(PipedOutputStream var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connect(PipedOutputStream var0)`
    `int` | `read()`
    `protected void` | `receive(int var0)`

    - ### Methods inherited from class java.io.InputStream

      `available, close, mark, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PIPE_SIZE

          protected static final int PIPE_SIZE

      See Also:
        Constant Field Values

    - #### buffer

          protected byte[] buffer

    - #### in

          protected int in

    - #### out

          protected int out

  - ### Constructor Detail

    - #### PipedInputStream

          public PipedInputStream()

    - #### PipedInputStream

          public PipedInputStream(PipedOutputStream var0)
                           throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### connect

          public void connect(PipedOutputStream var0)
                       throws IOException

      Throws:
        `IOException`

    - #### read

          public int read()
                   throws IOException

      Specified by:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### receive

          protected void receive(int var0)
                          throws IOException

      Throws:
        `IOException`